Subject: Re: bug#6481: 23.2.50; vc-annotate-show-log-revision-at-line yields empty buffer

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 21 Jun 2010 16:11:06 -0400

Eric Hanchrow <[email-masked]> writes:

> I visited a file in a git working copy, and typed C-x v g to see the
> "blame".  In the resulting buffer, I typed "l".  I saw (after a few
> seconds) a *vc-change-log* buffer that was empty.  Naturally, I expected
> that buffer to contain a single log message from git, corresponding to
> the commit ID on the line on which I typed "l".
>
> I think the problem is that the annotated buffer looks like this:
>
>     ad470f08 lisp/vc-git.el   (Dan Nicolaescu      2007-07-22 19:46:04
> +0000   1) ;;; vc-git.el --- VC backend for the git version control
> system
>     ad470f08 lisp/vc-git.el   (Dan Nicolaescu      2007-07-22 19:46:04
> +0000   2)
>
> ... and that the regexp in vc-git-annotate-extract-revision-at-line
> matches from the end of the commit ID, all the way up to (but not
> including) the first left-paren.  So the file name being returned from
> that function is "lisp/vc-git.el   ", including the trailing spaces.

Thanks, I checked in a similar patch to the emacs-23 branch.  It will
get merged to the trunk at some point.